기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

ironSource Ads

Android SDK

iOS SDK

ironSource Ads

이 페이지는 선택한 언어로 제공되지 않습니다.
ironSource Ads
​
​
Monetization
  • Get started
  • Measurement and reports
  • APIs
    • Authentication
    • Reporting
    • Impression level revenue
    • Application
    • Instances
  • SDK
  1. 게임 성장
  2. ironSource Ads
  3. ironSource Ads monetization

API authentication

Authenticate your API requests using your ironSource credentials to securely access reporting and management endpoints.
읽는 시간 1분
최근 업데이트: 일 년 전

All ironSource API endpoints are secured, and must be used with an authentication token. First, you'll need to add an authorization header for authentication.

Bearer API authentication

A Bearer API authentication is needed for the use of ironSource's Application API and Instance API.

Description

Bearer API authentication is based on auth 2.0 Bearer authentication. The HTTP Authorization header is created based on your account's unique Secret key & Refresh Token. You can find your unique parameters under 'My Account'.

Method

GET platform.ironsrc.com/partners/publisher/auth

Request URL

https://platform.ironsrc.com/partners/publisher/auth

Request example

$authURL = 'https://platform.ironsrc.com/partners/publisher/auth';$authHeaders = array( 'secretkey: <a1b2c3d4e5f67890abcdef1234567890>', 'refreshToken: <fa9e8d7c6b5a4938271605e4d3c2b1a0>',);$curlClient = curl_init($authURL);curl_setopt($curlClient, CURLOPT_HTTPHEADER, $authHeaders);curl_setopt($curlClient, CURLOPT_RETURNTRANSFER, true);$bearerTokenResponse = curl_exec($curlClient);$bearerToken = str_replace('"','',$bearerTokenResponse);curl_close($curlClient);

Response example

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzZWNyZXRLZXkiOiJhMWIyYzNkNGU1ZjY3ODkwYWJjZGVmMTIzNDU2Nzg5MCIsInJlZnJlc2hUb2tlbiI6ImZhOWU4ZDdjNmI1YTQ5MzgyNzE2MDVlNGQzYzJiMWEwIiwiZXhwaXJhdGlvblRpbWUiOjIxNDM5NTg0MDB9.rK9mXvQpLzNwYtDsAqBcEuFhGjIkMnOpRsTuVwXyZa4
The generated token should be used for the bearer token authorization:
GET https://platform.ironsrc.com/partners/publisher/instances/v1?appKey=123abcAuthorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzZWNyZXRLZXkiOiJhMWIyYzNkNGU1ZjY3ODkwYWJjZGVmMTIzNDU2Nzg5MCIsInJlZnJlc2hUb2tlbiI6ImZhOWU4ZDdjNmI1YTQ5MzgyNzE2MDVlNGQzYzJiMWEwIiwiZXhwaXJhdGlvblRpbWUiOjIxNDM5NTg0MDB9.rK9mXvQpLzNwYtDsAqBcEuFhGjIkMnOpRsTuVwXyZa4
참고
The token is valid for 24 hours.

Standard API authentication

Description

This type of authentication is based on Basic HTTP Authentication with HTTPS. The HTTP Authorization header is created based on the base64 version of username:secret key.
  • username is the login/email that is used to login to our system.
  • secret key parameter is unique for your LevelPlay account.
You can find your Secret Key under My Account.

Request Headers example

Basic `<YOUR_BASE64_ENCODED_TOKEN>`

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.

  • 보고 있는 페이지
    • Bearer API authentication

      • Description

      • Method

      • Request URL

      • Request example

      • Response example

    • Standard API authentication

      • Description

        • Request Headers example


이 페이지의 문제 보고